# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VertexMapper Class Reference

Generates a set of new vertices from the old one. More...

`#include <DoubleVertexRemover.hpp>`

Inheritance diagram for vl::VertexMapper:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
ref< ArrayAbstract > | regenerate (ArrayAbstract *data, const std::vector< size_t > &map_new_to_old) const
| Regenerates a new Array based on the given mapping.

## Detailed Description

Generates a set of new vertices from the old one.

Definition at line 44 of file DoubleVertexRemover.hpp.

## Member Function Documentation

virtual const char* vl::VertexMapper::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::DoubleVertexRemover.

Definition at line 47 of file DoubleVertexRemover.hpp.

ref< ArrayAbstract > VertexMapper::regenerate | ( | ArrayAbstract * | data,
|  | const std::vector< size_t > & | map_new_to_old
| ) |  | const

Regenerates a new Array based on the given mapping.

Parameters:

  data | The array to be regenerated
  map_new_to_old | Specifies the mapping from the old vetices to the new one. The `i-th` vertex of the new vertex array will use the `map_new_to_old`[i]-th vertex of the old array, that is, `map_new_to_old`[i] specifies the old vertex to be used to generate the new `i-th` vertex.

Definition at line 53 of file DoubleVertexRemover.cpp.

Referenced by vl::Geometry::regenerateVertices().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/DoubleVertexRemover.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/DoubleVertexRemover.cpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:38.
Permission is granted to use this page to write and publish articles regarding Visualization Library.